petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMSetCoordinateDM

Sets the DM that prescribes coordinate layout and scatters between global and local coordinates

### Synopsis

    #include "petscdm.h"
    PetscErrorCode DMSetCoordinateDM(DM dm, DM cdm)

Logically Collective on DM

### Input Parameters

| dm | - the DM
| cdm | - coordinate DM

### Keywords

distributed array, get, corners, nodes, local indices, coordinates

### See Also

DMGetCoordinateDM(), DMSetCoordinates(), DMSetCoordinatesLocal(), DMGetCoordinates(), DMGetCoordinatesLocal()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages